class Eleve:
    def __init__(self):
        self.student_id = -1
        self.email = "*"
        self.prenom = "*"
        self.nom = "*"
        self.module = []

def load_data(path):
    with open(path) as f:
        data = f.readlines()

    return data

def extract_names(email):
    #Return ["prenom","nom"]
    data = email
    data = data.split("@")
    data = data[0]
    res = data.split(".")
    return res

def load_data_to_struct():
    parse_data = []

    for i in range(len(data)):
        data[i] = data[i].split(" ")
        eleve = Eleve()
        eleve.student_id = data[i][0]
        eleve.email = data[i][1]
        eleve.prenom = extract_names(data[i][1])[0]
        eleve.nom = extract_names(data[i][1])[1]
        for element in data[i]: #load module_info
            if len(element) == 5:
                eleve.module.append(element)
            elif len(element) == 6:
                eleve.module.append(element.replace("\n",""))



        parse_data.append(eleve)

    return parse_data

def search_name(nom):
    i = 0
    nom = nom.lower()
    for data in parse_data:
        if data.prenom == nom or data.nom == nom:
            i += 1
            print(data.prenom, data.nom, data.email, data.module)
    print("Nombre de personnes : ", i)

def search_module(module_name):
    i = 0
    module_name = module_name.upper()
    for data in parse_data:
        for module in data.module:
            if module == module_name:
                i += 1
                print(data.prenom, data.nom, data.email, data.module)
    print("Nombre de personnes : ", i)

data = load_data("data.txt")
parse_data = load_data_to_struct()
